---
title: "Get a POP by ID"
slug: "get-a-pop-by-id"
updated: 2026-03-22T16:42:06Z
published: 2026-03-26T10:08:53Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.plainid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a POP by ID

Get/orchestrator/2.0/pops/{envId}/{popId}

This is an API call to get a Policy Orchestration Point (POP) by Environment ID and POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings.

## Notice

Accessing the APIs is through a dedicated domain/URL, according to your PlainID Tenant Location**United States (US)** - `https://api.us1.plainid.io`**Canada (CA)** - `https://api.ca1.plainid.io`**Europe (EU)** - `https://api.eu1.plainid.io`   
  
 

### Important note about headers

Refer to the headers below to modify your cURL sample. Check if the following headers are in the sample, if not, ensure you add it to your cURL sample before pasting into your API tool.   
 

#### Headers

 *Required 

| Header | Value | cURL Line |
| --- | --- | --- |
| Accept | `application/json` | `-H&quot;Accept: application/json&quot;` |

  

### cURL Sample Guidelines

 

In order for the relevant parameters to appear in the cURL sample, you can input the values in the interactive API console on the right in the Try It or Code Sample tabs. You can then copy the cURL sample from the Code Sample tab in the correct format.

   

### Using HTML Encoded Special Characters

 

Use HTML encoded patterns when working with values that contain special characters like spaces, dashes, etc. Refer to this [HTML URL Encoding Reference](https://www.w3schools.com/tags/ref_urlencode.ASP) for a full list.

   

SecurityHTTPType bearer

For more details about Administration API Authentication, check out the Authentication APIs documentation Provide your bearer token in the Authorization header when making requests to protected resources. Example: `Authorization: Bearer 123`

Path parametersenvIdstringRequired

Environment ID. You can find the Environment ID in your Environment Settings.

popIdstringRequired

POP ID. You can find the POP ID using the [GET List of POPs API](https://docs.plainid.io/v1-api/apidocs/get-pop-list) or through the UI under your POP settings.

Responses200

Success

<select class='api-response-data' aria-label='Media type'><option value='fe5a86a3-a611-451d-a752-cc6fcac6ccc5'>application/json</option>
</select>Expand Allobject  

Response object

dataobject (pop)  idstring    

Internal PlainID property. Not intended for external use. Use popId as the required identifier for all SaaS Management API operations.

popIdstring    

POP ID for the POP

namestring    

POP Name

Max length50
orchestrationWorkspaceIdstring  (uuid)    

The Orchestration Workspace ID is located in the Details Tab in the Orchestration Workspace Settings.

identityWorkspaceIdstring  (uuid)    

The Identity Workspace ID is located in the Details Tab in the Identity Workspace Settings.

authorizationWorkspaceIdstring  (uuid)    

The Authorization Workspace ID is located in the Details Tab in the Authorization Workspace Settings.

descriptionstring    

POP Description

Max length200
vendorNamestring    

Vendor Name

Valid values[
  "PowerBI",
  "ZScaler",
  "Snowflake",
  "Databricks",
  "mcp",
  "pinecone"
]
popConnectionCredentialsobject (PopConnectionCredentials)  

Refer to the [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors) article for instructions and examples on how to configure your vendor credentials with your Policy Orchestration Points (POP).

Example{
  "authenticationMethod": "method",
  "credentials": {}
}authenticationMethodstring    
credentialsobject  
discoveryScopeRuleobject  

This parameter is specific to Power BI. See the [SaaS Management Vendors](https://docs.plainid.io/v1-api/apidocs/saas-management-vendors) article for more information.

modestring    

POP Mode.

Valid values[
  "LEARN",
  "MANAGE"
]
statestring    Valid values[
  "DISCOVERY_FAILED",
  "DISCOVERY_DONE",
  "DISCOVERY_IN_PROGRESS"
]
settingsobject  

401

Unauthorized

404

Not Found

500

Internal Server Error
